<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.jumeirah.common.mapper.UserActiveRecordMapper">

        <!-- 通用查询结果列 -->
        <sql id="Base_Column_List">
        id, user_id, record_date, create_time, modify_time
    </sql>

        <select id="getUserActiveRecordById" resultType="com.jumeirah.common.param.UserActiveRecordQueryVo">
            select
            <include refid="Base_Column_List"/>
            from user_active_record where id = #{id}
        </select>

        <select id="getUserActiveRecordPageList" parameterType="com.jumeirah.common.param.UserActiveRecordPageParam" resultType="com.jumeirah.common.param.UserActiveRecordQueryVo">
            select
            <include refid="Base_Column_List"/>
            from user_active_record
        </select>

</mapper>
